> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Corporation

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new corporation Entity. An Entity can be created with an empty object and progressively updated with more information from your end user.

<Note>Entities are not checked for existing duplicate Entities.</Note>

## Body

<ParamList
  items={[
{
name: 'type',
type: 'string',
required: true,
description: 'The type of the Entity.',
enums: ['corporation'],
},
{
name: 'corporation',
type: 'object',
required: true,
description: 'Corporation information of the Entity.',
items: [
  {
    name: 'corporation.name',
    type: 'string',
    description: 'The legal name of the corporation Entity.',
  },
  {
    name: 'corporation.dba',
    type: 'string',
    description: 'DBA (Doing Business As) name of the corporation Entity.',
  },
  {
    name: 'corporation.ein',
    type: 'string',
    description: 'The EIN of the corporation Entity.',
  },
  {
    name: 'corporation.owners',
    type: 'object[]',
    description: 'The details of the corporation\'s owners (only include individuals owning 25% or more of the corporation).',
    items: [
      {
        name: 'corporation.owners.first_name',
        type: 'string',
        description: 'The legal first name of the corporation owner.',
      },
      {
        name: 'corporation.owners.last_name',
        type: 'string',
        description: 'The legal last name of the corporation owner.',
      },
      {
        name: 'corporation.owners.phone',
        type: 'string',
        description: 'Mobile phone number of the corporation owner in E.164 format. The number will only be used for KYC / AML verification.',
      },
      {
        name: 'corporation.owners.email',
        type: 'string',
        description: 'Email address of the corporation owner. The email will only be used for KYC / AML verification.',
      },
      {
        name: 'corporation.owners.dob',
        type: 'string',
        description: 'The corporation owner\'s date of birth in ISO 8601 format.',
      },
      {
        name: 'corporation.owners.address',
        type: 'object',
        description: 'The corporation owner\'s address.',
        items: [
          {
            name: 'corporation.owners.address.line1',
            type: 'string',
            description: 'The first line of the corporation owner\'s address.',
          },
          {
            name: 'corporation.owners.address.line2',
            type: 'string',
            description: 'The second line of the corporation owner\'s address.',
          },
          {
            name: 'corporation.owners.address.city',
            type: 'string',
            description: 'The city of the corporation owner\'s address.',
          },
          {
            name: 'corporation.owners.address.state',
            type: 'string',
            description: 'The two-letter abbreviation for the state of the corporation owner\'s address.',
          },
          {
            name: 'corporation.owners.address.zip',
            type: 'string',
            description: 'The ZIP code of the corporation owner\'s address.',
          },
        ],
      },
    ],
  },
],
},
{
name: 'address',
type: 'object',
description: 'The Entity\'s address.',
items: [
  {
    name: 'address.line1',
    type: 'string',
    description: 'The first line of the Entity\'s address.',
  },
  {
    name: 'address.line2',
    type: 'string',
    description: 'The second line of the Entity\'s address.',
  },
  {
    name: 'address.city',
    type: 'string',
    description: 'The city of the Entity\'s address.',
  },
  {
    name: 'address.state',
    type: 'string',
    description: 'The two-letter abbreviation for the state of the Entity\'s address.',
  },
  {
    name: 'address.zip',
    type: 'string',
    description: 'The ZIP code of the Entity\'s address.',
  },
],
}
]}
/>

## Returns

Returns the newly created Entity.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "corporation",
      "corporation": {
        "name": "Alphabet Inc.",
        "dba": "Google",
        "ein": "641234567",
        "owners": [
          {
            "first_name": "Sergey",
            "last_name": "Brin",
            "phone": "+16505555555",
            "email": "sergey@google.com",
            "dob": "1973-08-21",
            "address": {
              "line1": "600 Amphitheatre Parkway",
              "line2": null,
              "city": "Mountain View",
              "state": "CA",
              "zip": "94043"
            }
          }
        ]
      },
      "address": {
        "line1": "1600 Amphitheatre Parkway",
        "line2": null,
        "city": "Mountain View",
        "state": "CA",
        "zip": "94043"
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const entity = await method.entities.create({
    type: 'corporation',
    corporation: {
      name: 'Alphabet Inc.',
      dba: 'Google',
      ein: '641234567',
      owners: [
        {
          first_name: 'Sergey',
          last_name: 'Brin',
          phone: '+16505555555',
          email: 'sergey@google.com',
          dob: '1973-08-21',
          address: {
            line1: '600 Amphitheatre Parkway',
            line2: null,
            city: 'Mountain View',
            state: 'CA',
            zip: '94043',
          },
        },
      ],
    },
    address: {
      line1: '1600 Amphitheatre Parkway',
      line2: null,
      city: 'Mountain View',
      state: 'CA',
      zip: '94043',
    },
  });
  ```

  ```python Python theme={null}
  entity = method.entities.create({
    'type': 'corporation',
    'corporation': {
      'name': 'Alphabet Inc.',
      'dba': 'Google',
      'ein': '641234567',
      'owners': [
        {
          'first_name': 'Sergey',
          'last_name': 'Brin',
          'phone': '+16505555555',
          'email': 'sergey@google.com',
          'dob': '1973-08-21',
          'address': {
            'line1': '600 Amphitheatre Parkway',
            'line2': None,
            'city': 'Mountain View',
            'state': 'CA',
            'zip': '94043'
          }
        }
      ]
    },
    'address': {
      'line1': '1600 Amphitheatre Parkway',
      'line2': None,
      'city': 'Mountain View',
      'state': 'CA',
      'zip': '94043'
    }
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "ent_A6bmTtFmxQhGQ",
    "type": "corporation",
    "corporation": {
      "name": "Alphabet Inc.",
      "dba": "Google",
      "ein": "641234567",
      "owners": [
        {
          "first_name": "Sergey",
          "last_name": "Brin",
          "phone": "+16505555555",
          "email": "sergey@google.com",
          "dob": "1973-08-21",
          "address": {
            "line1": "600 Amphitheatre Parkway",
            "line2": null,
            "city": "Mountain View",
            "state": "CA",
            "zip": "94043"
          }
        }
      ]
    },
    "error": null,
    "address": {
      "line1": "1600 Amphitheatre Parkway",
      "line2": null,
      "city": "Mountain View",
      "state": "CA",
      "zip": "94043"
    },
    "status": "active",
    "metadata": null,
    "created_at": "2023-10-24T21:26:17.225Z",
    "updated_at": "2023-10-24T21:26:17.225Z"
  }
  ```
</ResponseExample>
